Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023140Runner[All Projects] UWPPublic2016-08-11 15:372017-03-02 14:29
ReporterStewart Bishop 
Assigned ToMike Rennie 
PriorityMediumSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
PlatformOSOS Version
Summary0023140: UWP: No way to set your application to be full screen through either GGS or Alt + Enter
DescriptionAs the title says if you want to change your application to be full screen you can't.

Checking the MSDN it seems like this is a preference you set before you start your game (GGS) or something which you can change at runtime (Alt + Enter)

Here is the article which provides the code we would need to implement for this to work: https://blogs.msdn.microsoft.com/gianlucb/2015/10/18/uwp-windows-10-app-windows-startup-size-and-full-screen/ [^]
Steps To Reproduce1) Create project
2) Change target to UWP
3) Run it
4) See that it is not full screen
5) Press Alt + Enter, nothing happens
6) Close game
7) Open GGS
8) Change to UWP tab, under Graphics see that there is no way to specify full screen on start up
1.4 Version1.4.1757
Runtime Version
Runtime Version Verified In
Attached Files

- Relationships

-  Notes
(0049762)
Mike Rennie (Developer)
2016-10-19 17:34

Fixed this and related issues.

- window_set_fullscreen() and window_get_fullscreen() now work in UWP apps.
- alt-enter can now be used to toggle between fullscreen and windowed mode in UWP apps (if allowed).
- added options to global game settings to control whether the game starts in fullscreen and whether the user can use alt-enter to switch.
(0051875)
Ross Manthorp (Administrator)
2017-03-01 16:19

Fixed. Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker